/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.watermeter.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.watermeter.custom.entity.BwSbCk;
import com.tofly.watermeter.entity.Bwckdatail;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 水表出库批次记录表
 *
 * @author admin
 * @date Wed Mar 10 00:00:00 CST 2021
 */
public interface BwckdatailMapper extends BaseMapper<Bwckdatail> {
    void updateCk(@Param("sbCkList") List<BwSbCk> sbCkList);


    void updateGdZt(@Param("gdbh") String gdbh,@Param("val") String val);


    String getGdbh(@Param("gdId") Long gdId);

    String ckPrefix(@Param("cjId") Long cjId);
}
